Gda.DataSelect – Gda-6.0 Reference Manual

# DataSelect

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_data_select_get_type ()" ) ]
public class DataSelect : Object, DataModel
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public Connection connection { get; construct; }
- public Statement delete_stmt { owned get; set; }
- public Set exec_params { owned get; construct; }
- public double execution_delay { get; set; }
- public Statement insert_stmt { owned get; set; }
- public uint model_usage { get; construct; }
- public PStmt prepared_stmt { owned get; set; }
- public Statement select_stmt { owned get; }
- public bool store_all_rows { get; set; }
- public Statement update_stmt { owned get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- protected DataSelect ()

### Methods:

- public bool compute_columns_attributes () throws Error
- public bool compute_modification_statements () throws Error
- public bool compute_modification_statements_ext (DataSelectConditionType cond_type) throws Error
- public bool compute_row_selection_condition () throws Error
- public virtual bool fetch_at (Row prow, int rownum) throws Error
- public virtual int fetch_nb_rows ()
- public virtual bool fetch_next (Row prow, int rownum) throws Error
- public virtual bool fetch_prev (Row prow, int rownum) throws Error
- public virtual bool fetch_random (Row prow, int rownum) throws Error
- public int get_advertized_nrows ()
- public unowned Connection get_connection ()
- public int get_nb_stored_rows ()
- public unowned PStmt get_prep_stmt ()
- public bool prepare_for_offline () throws Error
- public void set_advertized_nrows (int n)
- public bool set_modification_statement (Statement mod_stmt) throws Error
- public bool set_modification_statement_sql (string sql) throws Error
- public bool set_row_selection_condition (SqlExpr expr) throws Error
- public bool set_row_selection_condition_sql (string sql_where) throws Error
- public virtual bool store_all () throws Error

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.DataModel

- access_changed
- add_data_from_xml_node
- append_row
- append_values
- array_copy_model
- array_copy_model_ext
- changed
- create_iter
- describe_column
- dump
- dump_as_string
- error_quark
- export_to_file
- export_to_string
- freeze

- get_access_flags
- get_attributes_at
- get_column_index
- get_column_name
- get_column_title
- get_exceptions
- get_n_columns
- get_n_rows
- get_notify
- get_row_from_values
- get_typed_value_at
- get_value_at
- import_from_file
- import_from_model
- import_from_string

- iter_move_next_default
- iter_move_prev_default
- iter_move_to_row_default
- remove_row
- reset
- row_inserted
- row_removed
- row_updated
- send_hint
- set_column_name
- set_column_title
- set_value_at
- set_values
- thaw